#include	"all.h"
#include	<fio.h>

#define	DOTDOT	(&fmt+1)

Fprint(int f, char *fmt, ...)
{
	char buf[FIOBSIZE], *out;
	long n;

	out = doprint(buf, buf+FIOBSIZE, fmt, DOTDOT);
	n = out-buf;
	if(Fwrite(f, buf, n) != n)
		return -1;
	return n;
}
